# $Revision: 1.9 $, $Date: 2009/10/16 06:45:07 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	URI
Summary:	Test::URI - Check Uniform Resource Identifiers
Summary(pl.UTF-8):	Test::URI - sprawdzanie URI (Uniform Resource Identifiers)
Name:		perl-Test-URI
Version:	1.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	905233d1961f06ab439602d21239df02
URL:		http://search.cpan.org/dist/Test-URI/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Builder-Tester
BuildRequires:	perl-Test-Prereq
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Check various parts of Uniform Resource Locators.

%description -l pl.UTF-8
Sprawdzanie różnych części URL-i (Uniform Resource Locators).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-URI.spec,v $
Revision 1.9  2009/10/16 06:45:07  amateja
- updated to 1.08

Revision 1.8  2007/12/30 23:23:38  zbyniu
- up to 1.07

Revision 1.7  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.5  2006/07/09 13:57:45  agaran
- up to 1.05, rel1, builds here

Revision 1.4  2005/06/14 07:15:03  petec
- up to 1.04

Revision 1.3  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.2  2004/11/23 20:59:30  qboosh
- pl, URL

Revision 1.1  2004/11/23 00:50:08  radek
- new
